The BOOST_PP_TUPLE_EAT macro expands to a macro that eats a tuple.

#### Usage

BOOST_PP_TUPLE_EAT() (v)
or
BOOST_PP_TUPLE_EAT(size) (v)

#### Arguments

size
  The size of the tuple to be eaten. The argument is ignored.

#### Remarks

The size may be left out completely so that the macro can be invoked as BOOST_PP_TUPLE_EAT(); you may get a warning from some compilers, but the functionality will still work. If you specify a size, it will be ignored, but the warning from some compilers will not occur.

#### See Also

- BOOST_PP_LIMIT_TUPLE

#### Requirements

Header: <boost/preprocessor/tuple/eat.hpp>

#### Sample Code

    #include <boost/preprocessor/control/if.hpp>
    #include <boost/preprocessor/tuple/eat.hpp>

    #define OP(a, b) (a b)
    #define MACRO(n) BOOST_PP_IF(n, OP, BOOST_PP_TUPLE_EAT())(1, 2)

    MACRO(0) // expands to nothing
    MACRO(1) // expands to (1, 2)

© Copyright Housemarque Oy 2002
© Copyright Paul Mensonides 2002
© Copyright Edward Diener 2011,2013,2020

Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at www.boost.org/LICENSE_1_0.txt)